CC = gcc
LD = gcc
CFLAGS = -I.. -I. -Wall -O0 -g -DDEBUG -DMYEVAL_ONLY
LFLAGS = -I.. -I. -Wall -O0 -g -DDEBUG -DMYEVAL_ONLY
LIBS =

PRJ = lispeval
OBJ = lispeval.o lispparse.o kanji.o
SRC = lispeval.c lispparse.c 

$(PRJ) : $(OBJ)
	$(LD) -o $(PRJ) $(LFLAGS) $(OBJ) $(LIBS)

.c.o :
	$(CC) -c $(CFLAGS) $<

kanji.o: ../kanji.c
	$(CC) -c $(CFLAGS) $<

clean :
	\rm -f $(PRJ) $(OBJ) *~ *.core "#*"

#.dependencies
lispeval.o : lispeval.c lispeval.h lispparse.h ../commondef.h
lispparse.o : lispparse.c lispparse.h
